unit schMontajesServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schMontajesClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_MontajesDelta = '{8E8DDF58-98C6-4725-94CE-2B8012DEBF17}';
  RID_Montajes_RefreshDelta = '{F5611AC5-CDC1-42CB-A0BB-DF0AB9602896}';
  RID_Montajes_DetallesDelta = '{856D0938-EFBC-4FD5-BBA1-E3227F363D52}';
  RID_Montajes_GastosDelta = '{CBAC047B-5976-4EE1-950C-72E55A8121A6}';

type
  { IMontajesDelta }
  IMontajesDelta = interface(IMontajes)
  ['{8E8DDF58-98C6-4725-94CE-2B8012DEBF17}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldID_PRESUPUESTOValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldFECHA_INICIOValue : DateTime;
    function GetOldFECHA_FINValue : DateTime;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldIMPORTE_TOTALValue : Currency;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldID_PRESUPUESTO : Integer read GetOldID_PRESUPUESTOValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldFECHA_INICIO : DateTime read GetOldFECHA_INICIOValue;
    property OldFECHA_FIN : DateTime read GetOldFECHA_FINValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TMontajesBusinessProcessorRules }
  TMontajesBusinessProcessorRules = class(TDABusinessProcessorRules, IMontajes, IMontajesDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetID_PRESUPUESTOValue: Integer; virtual;
    function GetOldID_PRESUPUESTOValue: Integer; virtual;
    procedure SetID_PRESUPUESTOValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetFECHA_INICIOValue: DateTime; virtual;
    function GetOldFECHA_INICIOValue: DateTime; virtual;
    procedure SetFECHA_INICIOValue(const aValue: DateTime); virtual;
    function GetFECHA_FINValue: DateTime; virtual;
    function GetOldFECHA_FINValue: DateTime; virtual;
    procedure SetFECHA_FINValue(const aValue: DateTime); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property ID_PRESUPUESTO : Integer read GetID_PRESUPUESTOValue write SetID_PRESUPUESTOValue;
    property OldID_PRESUPUESTO : Integer read GetOldID_PRESUPUESTOValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property FECHA_INICIO : DateTime read GetFECHA_INICIOValue write SetFECHA_INICIOValue;
    property OldFECHA_INICIO : DateTime read GetOldFECHA_INICIOValue;
    property FECHA_FIN : DateTime read GetFECHA_FINValue write SetFECHA_FINValue;
    property OldFECHA_FIN : DateTime read GetOldFECHA_FINValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IMontajes_RefreshDelta }
  IMontajes_RefreshDelta = interface(IMontajes_Refresh)
  ['{F5611AC5-CDC1-42CB-A0BB-DF0AB9602896}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldID_PRESUPUESTOValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldFECHA_INICIOValue : DateTime;
    function GetOldFECHA_FINValue : DateTime;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldID_PRESUPUESTO : Integer read GetOldID_PRESUPUESTOValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldFECHA_INICIO : DateTime read GetOldFECHA_INICIOValue;
    property OldFECHA_FIN : DateTime read GetOldFECHA_FINValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TMontajes_RefreshBusinessProcessorRules }
  TMontajes_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IMontajes_Refresh, IMontajes_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetID_PRESUPUESTOValue: Integer; virtual;
    function GetOldID_PRESUPUESTOValue: Integer; virtual;
    procedure SetID_PRESUPUESTOValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetFECHA_INICIOValue: DateTime; virtual;
    function GetOldFECHA_INICIOValue: DateTime; virtual;
    procedure SetFECHA_INICIOValue(const aValue: DateTime); virtual;
    function GetFECHA_FINValue: DateTime; virtual;
    function GetOldFECHA_FINValue: DateTime; virtual;
    procedure SetFECHA_FINValue(const aValue: DateTime); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property ID_PRESUPUESTO : Integer read GetID_PRESUPUESTOValue write SetID_PRESUPUESTOValue;
    property OldID_PRESUPUESTO : Integer read GetOldID_PRESUPUESTOValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property FECHA_INICIO : DateTime read GetFECHA_INICIOValue write SetFECHA_INICIOValue;
    property OldFECHA_INICIO : DateTime read GetOldFECHA_INICIOValue;
    property FECHA_FIN : DateTime read GetFECHA_FINValue write SetFECHA_FINValue;
    property OldFECHA_FIN : DateTime read GetOldFECHA_FINValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IMontajes_DetallesDelta }
  IMontajes_DetallesDelta = interface(IMontajes_Detalles)
  ['{856D0938-EFBC-4FD5-BBA1-E3227F363D52}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_MONTAJEValue : Integer;
    function GetOldPOSICIONValue : Integer;
    function GetOldTIPO_DETALLEValue : String;
    function GetOldCONCEPTOValue : String;
    function GetOldCANTIDADValue : Integer;
    function GetOldPUNTOSValue : Integer;
    function GetOldIMPORTE_PUNTOSValue : Currency;
    function GetOldIMPORTE_UNIDADValue : Currency;
    function GetOldDESCUENTOValue : Float;
    function GetOldIMPORTE_TOTALValue : Currency;
    function GetOldVISIBLEValue : Integer;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property OldPOSICION : Integer read GetOldPOSICIONValue;
    property OldTIPO_DETALLE : String read GetOldTIPO_DETALLEValue;
    property OldCONCEPTO : String read GetOldCONCEPTOValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property OldPUNTOS : Integer read GetOldPUNTOSValue;
    property OldIMPORTE_PUNTOS : Currency read GetOldIMPORTE_PUNTOSValue;
    property OldIMPORTE_UNIDAD : Currency read GetOldIMPORTE_UNIDADValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldVISIBLE : Integer read GetOldVISIBLEValue;
  end;

  { TMontajes_DetallesBusinessProcessorRules }
  TMontajes_DetallesBusinessProcessorRules = class(TDABusinessProcessorRules, IMontajes_Detalles, IMontajes_DetallesDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    function GetOldID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetPOSICIONValue: Integer; virtual;
    function GetOldPOSICIONValue: Integer; virtual;
    procedure SetPOSICIONValue(const aValue: Integer); virtual;
    function GetTIPO_DETALLEValue: String; virtual;
    function GetOldTIPO_DETALLEValue: String; virtual;
    procedure SetTIPO_DETALLEValue(const aValue: String); virtual;
    function GetCONCEPTOValue: String; virtual;
    function GetOldCONCEPTOValue: String; virtual;
    procedure SetCONCEPTOValue(const aValue: String); virtual;
    function GetCANTIDADValue: Integer; virtual;
    function GetOldCANTIDADValue: Integer; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    function GetPUNTOSValue: Integer; virtual;
    function GetOldPUNTOSValue: Integer; virtual;
    procedure SetPUNTOSValue(const aValue: Integer); virtual;
    function GetIMPORTE_PUNTOSValue: Currency; virtual;
    function GetOldIMPORTE_PUNTOSValue: Currency; virtual;
    procedure SetIMPORTE_PUNTOSValue(const aValue: Currency); virtual;
    function GetIMPORTE_UNIDADValue: Currency; virtual;
    function GetOldIMPORTE_UNIDADValue: Currency; virtual;
    procedure SetIMPORTE_UNIDADValue(const aValue: Currency); virtual;
    function GetDESCUENTOValue: Float; virtual;
    function GetOldDESCUENTOValue: Float; virtual;
    procedure SetDESCUENTOValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetVISIBLEValue: Integer; virtual;
    function GetOldVISIBLEValue: Integer; virtual;
    procedure SetVISIBLEValue(const aValue: Integer); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_MONTAJE : Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property POSICION : Integer read GetPOSICIONValue write SetPOSICIONValue;
    property OldPOSICION : Integer read GetOldPOSICIONValue;
    property TIPO_DETALLE : String read GetTIPO_DETALLEValue write SetTIPO_DETALLEValue;
    property OldTIPO_DETALLE : String read GetOldTIPO_DETALLEValue;
    property CONCEPTO : String read GetCONCEPTOValue write SetCONCEPTOValue;
    property OldCONCEPTO : String read GetOldCONCEPTOValue;
    property CANTIDAD : Integer read GetCANTIDADValue write SetCANTIDADValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property PUNTOS : Integer read GetPUNTOSValue write SetPUNTOSValue;
    property OldPUNTOS : Integer read GetOldPUNTOSValue;
    property IMPORTE_PUNTOS : Currency read GetIMPORTE_PUNTOSValue write SetIMPORTE_PUNTOSValue;
    property OldIMPORTE_PUNTOS : Currency read GetOldIMPORTE_PUNTOSValue;
    property IMPORTE_UNIDAD : Currency read GetIMPORTE_UNIDADValue write SetIMPORTE_UNIDADValue;
    property OldIMPORTE_UNIDAD : Currency read GetOldIMPORTE_UNIDADValue;
    property DESCUENTO : Float read GetDESCUENTOValue write SetDESCUENTOValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property VISIBLE : Integer read GetVISIBLEValue write SetVISIBLEValue;
    property OldVISIBLE : Integer read GetOldVISIBLEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IMontajes_GastosDelta }
  IMontajes_GastosDelta = interface(IMontajes_Gastos)
  ['{CBAC047B-5976-4EE1-950C-72E55A8121A6}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_MONTAJEValue : Integer;
    function GetOldFECHA_GASTOValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldIMPORTEValue : Currency;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property OldFECHA_GASTO : DateTime read GetOldFECHA_GASTOValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
  end;

  { TMontajes_GastosBusinessProcessorRules }
  TMontajes_GastosBusinessProcessorRules = class(TDABusinessProcessorRules, IMontajes_Gastos, IMontajes_GastosDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    function GetOldID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetFECHA_GASTOValue: DateTime; virtual;
    function GetOldFECHA_GASTOValue: DateTime; virtual;
    procedure SetFECHA_GASTOValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetIMPORTEValue: Currency; virtual;
    function GetOldIMPORTEValue: Currency; virtual;
    procedure SetIMPORTEValue(const aValue: Currency); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_MONTAJE : Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property FECHA_GASTO : DateTime read GetFECHA_GASTOValue write SetFECHA_GASTOValue;
    property OldFECHA_GASTO : DateTime read GetOldFECHA_GASTOValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property IMPORTE : Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TMontajesBusinessProcessorRules }
constructor TMontajesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TMontajesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TMontajesBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesID];
end;

function TMontajesBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesID];
end;

procedure TMontajesBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesID] := aValue;
end;

function TMontajesBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesID_EMPRESA];
end;

function TMontajesBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesID_EMPRESA];
end;

procedure TMontajesBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesID_EMPRESA] := aValue;
end;

function TMontajesBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesID_CLIENTE];
end;

function TMontajesBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesID_CLIENTE];
end;

procedure TMontajesBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesID_CLIENTE] := aValue;
end;

function TMontajesBusinessProcessorRules.GetID_PRESUPUESTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesID_PRESUPUESTO];
end;

function TMontajesBusinessProcessorRules.GetOldID_PRESUPUESTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesID_PRESUPUESTO];
end;

procedure TMontajesBusinessProcessorRules.SetID_PRESUPUESTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesID_PRESUPUESTO] := aValue;
end;

function TMontajesBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesREFERENCIA];
end;

function TMontajesBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesREFERENCIA];
end;

procedure TMontajesBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesREFERENCIA] := aValue;
end;

function TMontajesBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesSITUACION];
end;

function TMontajesBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesSITUACION];
end;

procedure TMontajesBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesSITUACION] := aValue;
end;

function TMontajesBusinessProcessorRules.GetFECHA_INICIOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesFECHA_INICIO];
end;

function TMontajesBusinessProcessorRules.GetOldFECHA_INICIOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesFECHA_INICIO];
end;

procedure TMontajesBusinessProcessorRules.SetFECHA_INICIOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesFECHA_INICIO] := aValue;
end;

function TMontajesBusinessProcessorRules.GetFECHA_FINValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesFECHA_FIN];
end;

function TMontajesBusinessProcessorRules.GetOldFECHA_FINValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesFECHA_FIN];
end;

procedure TMontajesBusinessProcessorRules.SetFECHA_FINValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesFECHA_FIN] := aValue;
end;

function TMontajesBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesFECHA_ALTA];
end;

function TMontajesBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesFECHA_ALTA];
end;

procedure TMontajesBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesFECHA_ALTA] := aValue;
end;

function TMontajesBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesFECHA_MODIFICACION];
end;

function TMontajesBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesFECHA_MODIFICACION];
end;

procedure TMontajesBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesFECHA_MODIFICACION] := aValue;
end;

function TMontajesBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesUSUARIO];
end;

function TMontajesBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesUSUARIO];
end;

procedure TMontajesBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesUSUARIO] := aValue;
end;

function TMontajesBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesIMPORTE_TOTAL];
end;

function TMontajesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesIMPORTE_TOTAL];
end;

procedure TMontajesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesIMPORTE_TOTAL] := aValue;
end;

function TMontajesBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesNOMBRE];
end;

function TMontajesBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_MontajesNOMBRE];
end;

procedure TMontajesBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_MontajesNOMBRE] := aValue;
end;


{ TMontajes_RefreshBusinessProcessorRules }
constructor TMontajes_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TMontajes_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TMontajes_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshID];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshID];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshID] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshID_EMPRESA];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshID_EMPRESA];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshID_EMPRESA] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshID_CLIENTE];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshID_CLIENTE];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshID_CLIENTE] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetID_PRESUPUESTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshID_PRESUPUESTO];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldID_PRESUPUESTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshID_PRESUPUESTO];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetID_PRESUPUESTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshID_PRESUPUESTO] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshREFERENCIA];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshREFERENCIA];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshREFERENCIA] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshSITUACION];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshSITUACION];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshSITUACION] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetFECHA_INICIOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshFECHA_INICIO];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldFECHA_INICIOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshFECHA_INICIO];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetFECHA_INICIOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshFECHA_INICIO] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetFECHA_FINValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshFECHA_FIN];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldFECHA_FINValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshFECHA_FIN];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetFECHA_FINValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshFECHA_FIN] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshFECHA_ALTA];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshFECHA_ALTA];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshFECHA_ALTA] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshFECHA_MODIFICACION];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshFECHA_MODIFICACION];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshFECHA_MODIFICACION] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshUSUARIO];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshUSUARIO];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshUSUARIO] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshIMPORTE_TOTAL];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshIMPORTE_TOTAL];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshIMPORTE_TOTAL] := aValue;
end;

function TMontajes_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshNOMBRE];
end;

function TMontajes_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_RefreshNOMBRE];
end;

procedure TMontajes_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_RefreshNOMBRE] := aValue;
end;


{ TMontajes_DetallesBusinessProcessorRules }
constructor TMontajes_DetallesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TMontajes_DetallesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TMontajes_DetallesBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesID];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesID];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesID] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesID_MONTAJE];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesID_MONTAJE];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesID_MONTAJE] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetPOSICIONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesPOSICION];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldPOSICIONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesPOSICION];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetPOSICIONValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesPOSICION] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetTIPO_DETALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesTIPO_DETALLE];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldTIPO_DETALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesTIPO_DETALLE];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetTIPO_DETALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesTIPO_DETALLE] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetCONCEPTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesCONCEPTO];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldCONCEPTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesCONCEPTO];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetCONCEPTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesCONCEPTO] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesCANTIDAD];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesCANTIDAD];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetCANTIDADValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesCANTIDAD] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetPUNTOSValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesPUNTOS];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldPUNTOSValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesPUNTOS];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetPUNTOSValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesPUNTOS] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetIMPORTE_PUNTOSValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesIMPORTE_PUNTOS];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldIMPORTE_PUNTOSValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesIMPORTE_PUNTOS];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetIMPORTE_PUNTOSValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesIMPORTE_PUNTOS] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetIMPORTE_UNIDADValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesIMPORTE_UNIDAD];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldIMPORTE_UNIDADValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesIMPORTE_UNIDAD];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetIMPORTE_UNIDADValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesIMPORTE_UNIDAD] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesDESCUENTO];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesDESCUENTO];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetDESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesDESCUENTO] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesIMPORTE_TOTAL];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesIMPORTE_TOTAL];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesIMPORTE_TOTAL] := aValue;
end;

function TMontajes_DetallesBusinessProcessorRules.GetVISIBLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesVISIBLE];
end;

function TMontajes_DetallesBusinessProcessorRules.GetOldVISIBLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_DetallesVISIBLE];
end;

procedure TMontajes_DetallesBusinessProcessorRules.SetVISIBLEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_DetallesVISIBLE] := aValue;
end;


{ TMontajes_GastosBusinessProcessorRules }
constructor TMontajes_GastosBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TMontajes_GastosBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TMontajes_GastosBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosID];
end;

function TMontajes_GastosBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_GastosID];
end;

procedure TMontajes_GastosBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosID] := aValue;
end;

function TMontajes_GastosBusinessProcessorRules.GetID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosID_MONTAJE];
end;

function TMontajes_GastosBusinessProcessorRules.GetOldID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_GastosID_MONTAJE];
end;

procedure TMontajes_GastosBusinessProcessorRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosID_MONTAJE] := aValue;
end;

function TMontajes_GastosBusinessProcessorRules.GetFECHA_GASTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosFECHA_GASTO];
end;

function TMontajes_GastosBusinessProcessorRules.GetOldFECHA_GASTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_GastosFECHA_GASTO];
end;

procedure TMontajes_GastosBusinessProcessorRules.SetFECHA_GASTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosFECHA_GASTO] := aValue;
end;

function TMontajes_GastosBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosDESCRIPCION];
end;

function TMontajes_GastosBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_GastosDESCRIPCION];
end;

procedure TMontajes_GastosBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosDESCRIPCION] := aValue;
end;

function TMontajes_GastosBusinessProcessorRules.GetIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosIMPORTE];
end;

function TMontajes_GastosBusinessProcessorRules.GetOldIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Montajes_GastosIMPORTE];
end;

procedure TMontajes_GastosBusinessProcessorRules.SetIMPORTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Montajes_GastosIMPORTE] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_MontajesDelta, TMontajesBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_Montajes_RefreshDelta, TMontajes_RefreshBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_Montajes_DetallesDelta, TMontajes_DetallesBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_Montajes_GastosDelta, TMontajes_GastosBusinessProcessorRules);

end.
